%define prerel 0
%define fversion %version
%define fname %name-%fversion

Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Summary(de):	Netwide AsseMbler für x86- und x64-Architekturen
Name:		nasm
Version:	2.16.03
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
Source:		http://www.nasm.us/pub/nasm/releasebuilds/%fversion/%{fname}.tar.xz
Patch0:		nasm-2.16.01-switch-font-for-nasmdoc.patch
URL:		http://nasm.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: ghostscript
BuildRequires: ghostscript-common
BuildRequires: groff
BuildRequires: texinfo
BuildRequires: fdupes
BuildRequires: perl-IO-String
BuildRequires: perl-Font-TTF
BuildRequires: perl-Sort-Versions


BuildRequires:	fonts-ttf-liberation
Obsoletes:  %name < %version
Obsoletes:	nasm-rdoff

Summary:	Extensive documentation for NASM
Summary(de):	Ausführliche Dokumentation für NASM
Group:		Documentation
Requires(pre):	 info-install
Requires(postun): info-install

#german
%description -l de
Das Programmierwerkzeug unterstützt die MMX-, SSE- und 3DNow!-Erweiterungen 
moderner AMD- und Intel-Prozessoren. Mit NASM stehen viele Ausgabeformate zur 
Verfügung: Linux,*BSD a.out, ELF, COFF, Mach-O, Microsoft 16-bit OBJ, Win32, Win64 
und Maschinencode (flat binary). NASM bringt einen Disassembler (ndisasm) mit. NASM 
ist unter der GNU Lesser General Public License (LGPL) freigegeben. 

%package doc
Summary:	Extensive documentation for NASM
Group:		Documentation

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

#german
%description doc -l de
Ausführliche Dokumentation für den Netwide Assembler NASM in HTML, PostScript, RTF und txt. 

%prep
%setup -q -n %fname
%autopatch -p1

%build
rm -f config.cache config.status config.log
%configure2_5x
%__make everything

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%make_install
cd doc
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf %{buildroot}

%files
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*

%files doc
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html

%changelog
* Thu Apr 18 2024 tex - 2.16.03-1pclos2024
- new version

* Sun Apr 07 2024 tex - 2.16.02-1pclos2024
- new version

* Mon Feb 20 2023 tex - 2.16.01-1pclos2023
- new version
